package com.yunzhi.niucai.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 竞彩销售标准时间 
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdSportOnSale对象", description="竞彩销售标准时间 ")
public class TdSportOnSale implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "彩种")
    private String lotteryId;

    @ApiModelProperty(value = "周几")
    private Integer weekDay;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Boolean status;


}
