package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdSportOnSale;
import com.yunzhi.niucai.mapper.TdSportOnSaleMapper;
import com.yunzhi.niucai.service.ITdSportOnSaleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 竞彩销售标准时间  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdSportOnSaleServiceImpl extends ServiceImpl<TdSportOnSaleMapper, TdSportOnSale> implements ITdSportOnSaleService {

    @Override
    public TdSportOnSale getByKey(String lottery, int weekDay) throws Exception {
        QueryWrapper<TdSportOnSale> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lottery);
        queryWrapper.eq("week_day", weekDay);

        return getOne(queryWrapper);
    }
}
