package com.yunzhi.niucai.mapper;

import com.yunzhi.niucai.entity.TaMatch;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 比赛  Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Mapper
public interface TaMatchMapper extends BaseMapper<TaMatch> {

    /**
     * 获取允许销售的竞彩
     * @param lottery
     * @param status
     * @return
     * @throws Exception
     */
    List<TaMatch> getMixedMatch(String lottery, Integer status) throws Exception;
}
