package com.yunzhi.niucai.service.impl;

import com.yunzhi.niucai.entity.TaLotteryResult;
import com.yunzhi.niucai.mapper.TaLotteryResultMapper;
import com.yunzhi.niucai.service.ITaLotteryResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 数字彩开奖结果  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-08-27
 */
@Service
public class TaLotteryResultServiceImpl extends ServiceImpl<TaLotteryResultMapper, TaLotteryResult> implements ITaLotteryResultService {
    @Autowired
    TaLotteryResultMapper taLotteryResultMapper;

    @Override
    public List<TaLotteryResult> getLastResult() throws Exception {
        return taLotteryResultMapper.getLastResult();
    }
}
